Skip to main content
`Ctrl`+`K`

# pandas.Timedelta.to_numpy

Timedelta.to_numpy(dtype=None, copy=False)

  Convert the Timedelta to a NumPy timedelta64.

  This is an alias method for Timedelta.to_timedelta64(). The dtype and copy parameters are available here only for compatibility. Their values will not affect the return value.

  Returns:
    numpy.timedelta64

  See also

  `Series.to_numpy`

    Similar method for Series.

  Examples

      >>> td = pd.Timedelta('3D')
      >>> td
      Timedelta('3 days 00:00:00')
      >>> td.to_numpy()
      numpy.timedelta64(259200000000000,'ns')